<?php

namespace App\Service;

use Symfony\Component\HttpKernel\KernelInterface;

class SimpleDataService
{
    private string $file;

    public function __construct(KernelInterface $kernel)
    {
        $this->file = $kernel->getProjectDir() . '/data.json';
    }

    public function set(string $key, array $data): self
    {
        $all = $this->getAll();
        $all[$key] = $data;

        file_put_contents($this->file, json_encode($all, JSON_PRETTY_PRINT));

        return $this;
    }

    public function get(string $key): ?array
    {
        return $this->getAll()[$key] ?? null;
    }

    public function getAll(): array
    {
        if (!file_exists($this->file)) {
            return [];
        }
        return json_decode(file_get_contents($this->file), true);
    }
}